Main Page Widgets Namespaces Book

# Gtk::FontSelectionDialog Class Reference
[Dialogs]

Inheritance diagram for Gtk::FontSelectionDialog:

[legend]
List of all members.

## Detailed Description

A dialog box for selecting fonts.

The Gtk::FontSelectionDialog widget is a dialog box for selecting a font.

## Public Member Functions
virtual | ~FontSelectionDialog ()
GtkFontSelectionDialog* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkFontSelectionDialog* | gobj () const
| Provides access to the underlying C GtkObject.
| FontSelectionDialog ()
| FontSelectionDialog (const Glib::ustring& title)
bool | set_font_name (const Glib::ustring& fontname)
Glib::ustring | get_font_name () const
Glib::ustring | get_preview_text ()
void | set_preview_text (const Glib::ustring& fontname)
FontSelection* | get_font_selection ()
const FontSelection* | get_font_selection () const
Button* | get_ok_button ()
const Button* | get_ok_button () const
Button* | get_apply_button ()
const Button* | get_apply_button () const
Button* | get_cancel_button ()
const Button* | get_cancel_button () const
## Related Functions
(Note that these are not member functions.)
Gtk::FontSelectionDialog* | wrap (GtkFontSelectionDialog* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::FontSelectionDialog::~FontSelectionDialog | ( |  | ) | `[virtual]`

Gtk::FontSelectionDialog::FontSelectionDialog | ( |  | ) |

Gtk::FontSelectionDialog::FontSelectionDialog | ( | const Glib::ustring& | title | ) | `[explicit]`

## Member Function Documentation

const Button* Gtk::FontSelectionDialog::get_apply_button | ( |  | ) | const

Button* Gtk::FontSelectionDialog::get_apply_button | ( |  | ) |

const Button* Gtk::FontSelectionDialog::get_cancel_button | ( |  | ) | const

Button* Gtk::FontSelectionDialog::get_cancel_button | ( |  | ) |

Glib::ustring Gtk::FontSelectionDialog::get_font_name | ( |  | ) | const

const FontSelection* Gtk::FontSelectionDialog::get_font_selection | ( |  | ) | const

FontSelection* Gtk::FontSelectionDialog::get_font_selection | ( |  | ) |

const Button* Gtk::FontSelectionDialog::get_ok_button | ( |  | ) | const

Button* Gtk::FontSelectionDialog::get_ok_button | ( |  | ) |

Glib::ustring Gtk::FontSelectionDialog::get_preview_text | ( |  | ) |

const GtkFontSelectionDialog* Gtk::FontSelectionDialog::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

GtkFontSelectionDialog* Gtk::FontSelectionDialog::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

bool Gtk::FontSelectionDialog::set_font_name | ( | const Glib::ustring& | fontname | ) |

void Gtk::FontSelectionDialog::set_preview_text | ( | const Glib::ustring& | fontname | ) |

## Friends And Related Function Documentation

Gtk::FontSelectionDialog* wrap | ( | GtkFontSelectionDialog* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- fontselection.h